#pragma once
#include "static_array.h"
#include "base_head.h"
class UTILES_EXPORT Cstatic_array_ord//array ordenado de menor a mayor
{
private:
	//variables----------------------------
	Cstatic_array ind;
	Cstatic_array datos;
	

public:
	int (*comp_add)(BYTE* e1,BYTE*e2);//funcion de comparacion en aņadir
	int (*comp_bus)(BYTE* e1,BYTE* clave);//funcion de comparacion busqueda
	Cstatic_array_ord(void);
	~Cstatic_array_ord(void);

	//funciones-----------------------------
	void inicia(int size,int incremento=100);//establece el tamaņo y el incremento(llamar solo una vez)
	
	BYTE* get(int i);//da el elemento de la posicion i
	BYTE* get_cp(int i);//da copia del elemento de la posicion i
	BYTE* get(BYTE* clave);//busca un elemento apartir de la clave
	void add(BYTE* e);
	void borra();
private:
	void agueca(int i);//mueve todos un puesto desde la posicion i dejando esta libre
};
